%define libxfixes %mklibname xfixes 3
Name: libxfixes
Summary:  X Fixes  Library
Version: 5.0.1
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}
Summary:  X Fixes  Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfixes}
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfixes} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfixes-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfixes}-devel
Development files for %{name}

%files -n %{libxfixes}-devel
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%package -n %{libxfixes}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfixes}-devel = %{version}
Provides: libxfixes-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfixes}-static-devel
Static development files for %{name}

%files -n %{libxfixes}-static-devel
%{_libdir}/libXfixes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure2_5x --enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libxfixes}
%{_libdir}/libXfixes.so.3
%{_libdir}/libXfixes.so.3.1.0


%changelog
* Thu May 30 2013 tv <tv> 5.0.1-1.mga3
+ Revision: 433366
- CVE release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 5.0-4.mga3
+ Revision: 397156
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 5.0-3.mga3
+ Revision: 358574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 fwang <fwang> 5.0-2.mga2
+ Revision: 170300
- drop .la files

* Tue Apr 12 2011 tv <tv> 5.0-1.mga1
+ Revision: 83576
- new release

  + rtp <rtp>
    - Drop ldconfig scripts
    - imported package libxfixes

